Package io.dapr.v1

# Class AppCallbackGrpc

java.lang.Object
io.dapr.v1.AppCallbackGrpc

@Generated(value="by gRPC proto compiler (version 1.69.0)", comments="Source: dapr/proto/runtime/v1/appcallback.proto") public final class AppCallbackGrpc extends Object

     AppCallback V1 allows user application to interact with Dapr runtime.
     User application needs to implement AppCallback service if it needs to
     receive message from dapr runtime.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AppCallbackGrpc.AppCallbackBlockingStub`
A stub to allow clients to do synchronous rpc calls to service AppCallback.
`static final class`
`AppCallbackGrpc.AppCallbackFutureStub`
A stub to allow clients to do ListenableFuture-style rpc calls to service AppCallback.
`static class`
`AppCallbackGrpc.AppCallbackImplBase`
Base class for the server implementation of the service AppCallback.
`static final class`
`AppCallbackGrpc.AppCallbackStub`
A stub to allow clients to do asynchronous rpc calls to service AppCallback.
`static interface`
`AppCallbackGrpc.AsyncService`
AppCallback V1 allows user application to interact with Dapr runtime.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SERVICE_NAME`

## Method Summary

Modifier and Type
Method
Description
`static final io.grpc.ServerServiceDefinition`
`bindService(AppCallbackGrpc.AsyncService service)`
`static io.grpc.MethodDescriptor<com.google.protobuf.Empty,DaprAppCallbackProtos.ListInputBindingsResponse>`
`getListInputBindingsMethod()`
`static io.grpc.MethodDescriptor<com.google.protobuf.Empty,DaprAppCallbackProtos.ListTopicSubscriptionsResponse>`
`getListTopicSubscriptionsMethod()`
`static io.grpc.MethodDescriptor<DaprAppCallbackProtos.BindingEventRequest,DaprAppCallbackProtos.BindingEventResponse>`
`getOnBindingEventMethod()`
`static io.grpc.MethodDescriptor<CommonProtos.InvokeRequest,CommonProtos.InvokeResponse>`
`getOnInvokeMethod()`
`static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventRequest,DaprAppCallbackProtos.TopicEventResponse>`
`getOnTopicEventMethod()`
`static io.grpc.ServiceDescriptor`
`getServiceDescriptor()`
`static AppCallbackGrpc.AppCallbackBlockingStub`
`newBlockingStub(io.grpc.Channel channel)`
Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static AppCallbackGrpc.AppCallbackFutureStub`
`newFutureStub(io.grpc.Channel channel)`
Creates a new ListenableFuture-style stub that supports unary calls on the service
`static AppCallbackGrpc.AppCallbackStub`
`newStub(io.grpc.Channel channel)`
Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERVICE_NAME

public static final String SERVICE_NAME

See Also:
  - Constant Field Values

## Method Details

### getOnInvokeMethod

public static io.grpc.MethodDescriptor<CommonProtos.InvokeRequest,CommonProtos.InvokeResponse> getOnInvokeMethod()

### getListTopicSubscriptionsMethod

public static io.grpc.MethodDescriptor<com.google.protobuf.Empty,DaprAppCallbackProtos.ListTopicSubscriptionsResponse> getListTopicSubscriptionsMethod()

### getOnTopicEventMethod

public static io.grpc.MethodDescriptor<DaprAppCallbackProtos.TopicEventRequest,DaprAppCallbackProtos.TopicEventResponse> getOnTopicEventMethod()

### getListInputBindingsMethod

public static io.grpc.MethodDescriptor<com.google.protobuf.Empty,DaprAppCallbackProtos.ListInputBindingsResponse> getListInputBindingsMethod()

### getOnBindingEventMethod

public static io.grpc.MethodDescriptor<DaprAppCallbackProtos.BindingEventRequest,DaprAppCallbackProtos.BindingEventResponse> getOnBindingEventMethod()

### newStub

public static AppCallbackGrpc.AppCallbackStub newStub(io.grpc.Channel channel)
Creates a new async stub that supports all call types for the service

### newBlockingStub

public static AppCallbackGrpc.AppCallbackBlockingStub newBlockingStub(io.grpc.Channel channel)
Creates a new blocking-style stub that supports unary and streaming output calls on the service

### newFutureStub

public static AppCallbackGrpc.AppCallbackFutureStub newFutureStub(io.grpc.Channel channel)
Creates a new ListenableFuture-style stub that supports unary calls on the service

### bindService

public static final io.grpc.ServerServiceDefinition bindService(AppCallbackGrpc.AsyncService service)

### getServiceDescriptor

public static io.grpc.ServiceDescriptor getServiceDescriptor()